Index: getmol.f
===================================================================
--- getmol.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ getmol.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,55 +1,48 @@
-! **************************
-! **************************************************************
-!
-! This file contains the subroutines: getmol,redres
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c **************************
+c **************************************************************
+c
+c This file contains the subroutines: getmol,redres
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
 
 
       subroutine getmol(nml)
 
-! ...................................................................
-! PURPOSE:  assemble data for molecule 'nml' according to
-!           its sequence using residue library 'reslib'
-!
-! ! Molecules must be assembled in sequential order (1 -> ntlml)
-!            (or number of atoms & variables must remain the same)
-!
-! INPUT:    irsml1(nml),irsml2(nml),seq(irsml1()...irsml2())
-!           nml>1: irsml1(nml-1),iatrs2(irsml2(nml-1))
-!                  ivrrs1(irsml2(nml-1)),nvrrs(irsml2(nml-1))
-!
-! OUTPUT:   molecule  - ivrml1,nvrml
-!           residues  - iatrs1,ixatrs,iatrs2,ivrrs1,nvrrs
-!           atoms     - nmat,ityat,cgat,blat,baat,csbaat,snbaat,
-!                       toat,cstoat,sntoat
-!           bonds     - nbdat,iowat,iyowat,ibdat(1-mxbd,),iybdat(1-mxbd,)
-!                       ! 1st atom of 'nml': iowat indicates 1st bond
-!                          to a FOLLOWING atom (not previous) !
-!           variables - ityvr,iclvr,iatvr,nmvr
-!                                    
-! CALLS:    iopfil,redres,iendst
-! ...................................................................
+c ...................................................................
+c PURPOSE:  assemble data for molecule 'nml' according to
+c           its sequence using residue library 'reslib'
+c
+c ! Molecules must be assembled in sequential order (1 -> ntlml)
+c            (or number of atoms & variables must remain the same)
+c
+c INPUT:    irsml1(nml),irsml2(nml),seq(irsml1()...irsml2())
+c           nml>1: irsml1(nml-1),iatrs2(irsml2(nml-1))
+c                  ivrrs1(irsml2(nml-1)),nvrrs(irsml2(nml-1))
+c
+c OUTPUT:   molecule  - ivrml1,nvrml
+c           residues  - iatrs1,ixatrs,iatrs2,ivrrs1,nvrrs
+c           atoms     - nmat,ityat,cgat,blat,baat,csbaat,snbaat,
+c                       toat,cstoat,sntoat
+c           bonds     - nbdat,iowat,iyowat,ibdat(1-mxbd,),iybdat(1-mxbd,)
+c                       ! 1st atom of 'nml': iowat indicates 1st bond
+c                          to a FOLLOWING atom (not previous) !
+c           variables - ityvr,iclvr,iatvr,nmvr
+c                                    
+c CALLS:    iopfil,redres,iendst
+c ...................................................................
 
       include 'INCL.H'
-!     arguments
-      integer nml
-!     functions      
-      integer iopfil, iendst
-      
-      integer i, iat, iow, ifirs, ibd, ilars, j, mvr, nbd, n, nbd1, nj
-      integer nh, nrs, ntlat, ntlvr, nat, nxt
-      double precision ba, t, to
+
       character res*4
 
       if (iopfil(lunlib,reslib,'old','formatted').le.izero) then
-        write (logString, '(a,/,a,i3,2a)') 
-     &    ' getmol> ERROR opening library of residues:',
-     &    ' LUN=',lunlib,' FILE=',reslib(1:iendst(reslib))
+        write (*,'(a,/,a,i3,2a)') 
+     #    ' getmol> ERROR opening library of residues:',
+     #    ' LUN=',lunlib,' FILE=',reslib(1:iendst(reslib))
         stop
       endif
@@ -74,11 +67,11 @@
 
         if (res(:3).eq.'nme'.and.nrs.ne.ilars) then
-          write (logString, '(3a)') ' getmol> residue >',res,
-     &                     '< allowed at C-terminus only !'
+          write (*,'(3a)') ' getmol> residue >',res,
+     #                     '< allowed at C-terminus only !'
           close(lunlib)
           stop
         elseif (res(:3).eq.'ace'.and.nrs.ne.ifirs) then
-          write (logString, '(3a)') ' getmol> residue >',res,
-     &                     '< allowed at N-terminus only !'
+          write (*,'(3a)') ' getmol> residue >',res,
+     #                     '< allowed at N-terminus only !'
           close(lunlib)
           stop
@@ -88,11 +81,10 @@
 
         if ((nat+ntlat).gt.mxat) then
-          write (logString, '(a,i5)') ' getmol> number of atoms > ',mxat
+          write (*,'(a,i5)') ' getmol> number of atoms > ',mxat
           close(lunlib)
           stop
         endif
         if ((nvr+ntlvr).gt.mxvr) then
-          write (logString, '(a,i5)') ' getmol> number of variables > '
-     &       ,mxvr
+          write (*,'(a,i5)') ' getmol> number of variables > ',mxvr
           close(lunlib)
           stop
@@ -101,5 +93,5 @@
         rewind lunlib
 
-! ___________________________________________________________ Atoms
+c ___________________________________________________________ Atoms
         do i=1,nat
           n=i+ntlat
@@ -116,5 +108,5 @@
           cstoat(n)=cos(to)
           sntoat(n)=sin(to)
-! ______________________________ bonds to previous & following atoms
+c ______________________________ bonds to previous & following atoms
           iow=iowath(i)
           if (iow.eq.0) then          ! 1st atom of residue
@@ -137,16 +129,16 @@
               iyowat(n)=1         !!! only single bonds assumed !!!
 
-! ___________________________ correct atom to 'next' res.
+c ___________________________ correct atom to 'next' res.
               nbd=nbdat(nh)
               if (nbd.eq.mxbd) then
-                write (logString, '(a,i2,a,i4,2a,i4,a)') 
-     &           ' getmol> need ',(mxbd+2),
-     &           'th bond to connect residues ',
-     &           nrs-1,seq(nrs-1),' and ',nrs,seq(nrs)
+                write(*,'(a,i2,a,i4,2a,i4,a)') 
+     #           ' getmol> need ',(mxbd+2),
+     #           'th bond to connect residues ',
+     #           nrs-1,seq(nrs-1),' and ',nrs,seq(nrs)
                 close(lunlib)
                 stop
               else  !  correct atom to 'next' res.
-! _______________________________!! dihedrals for atoms bound to 'nh'
-!                                   are assumed to be phase angles !!
+c _______________________________!! dihedrals for atoms bound to 'nh'
+c                                   are assumed to be phase angles !!
                 do j=1,nbd
 
@@ -155,8 +147,8 @@
 
                   if (t.eq.0.0) then
-                    write (logString, '(3a,/,2a)') 
-     &               ' getmol> DIHEDRAL for atom ',nmat(nj),
-     &               ' should be PHASE angle with respect to atom ',
-     &               nmat(n),' & therefore must be not 0.0 !!'
+                    write (*,'(3a,/,2a)') 
+     #               ' getmol> DIHEDRAL for atom ',nmat(nj),
+     #               ' should be PHASE angle with respect to atom ',
+     #               nmat(n),' & therefore must be not 0.0 !!'
                     close(lunlib)
                     stop
@@ -205,5 +197,5 @@
         enddo  ! ... atoms
 
-! ________________________________________________________ Variables
+c ________________________________________________________ Variables
         ivrrs1(nrs)=ntlvr+1
         mvr=0
@@ -214,8 +206,8 @@
 
             iat=iatvrh(i)
-! ____________________________________ Exclude all variables for 1st atom
-!                                       & torsion for atoms bound to it
+c ____________________________________ Exclude all variables for 1st atom
+c                                       & torsion for atoms bound to it
             if ( iat.eq.1.or.
-     &        (iowath(iat).eq.1.and.ityvrh(i).eq.3)) goto 1
+     #        (iowath(iat).eq.1.and.ityvrh(i).eq.3)) goto 1
 
           endif
@@ -241,5 +233,5 @@
       close(lunlib)
 
-! _______________________________ Variables
+c _______________________________ Variables
       if (nml.eq.1) then
         nvrml(nml)=ntlvr
@@ -250,45 +242,37 @@
       return
       end
-! **************************************
+c **************************************
       subroutine redres(res,nat,nxt,nvrr)
 
-! .......................................................
-! PURPOSE:  read atom data for residue 'res' from library
-!           (file 'lunlib' 'reslib' opened in routine calling
-!            this one)
-!
-! OUTPUT:   nat   - number of atoms in residue
-!           nxt   - atom which may bind to following residue
-!           nvrr  - number of variables in residue
-!           for atoms     - nmath,blath,baath(rad),toath(rad),
-!                           ityath,iyowath,iowath (INSIDE residue,
-!                                                  =0 if 1st atom)
-!           for variables - ityvrh (1=bl/2=ba/3=to),iclvrh,iatvrh,nmvrh
-!
-! LIBRARY:  residue-lines:
-!            '#', res, nat, nxt;  Format: a1,a4,2i4
-!           atom-lines:
-!           nmat,3{"fix" =' ', clvr,nmvr, blat/baat(deg)/toat(deg)},
-!             cgat, ityat, iowat,ibdat1,ibdat2,ibdat3;
-!           Format: a4, 3(1x,i2,a1,a3,f9.3), f7.4, i4,4i4
-!
-! CALLS: iendst,tolost
-!
-! .......................................................
+c .......................................................
+c PURPOSE:  read atom data for residue 'res' from library
+c           (file 'lunlib' 'reslib' opened in routine calling
+c            this one)
+c
+c OUTPUT:   nat   - number of atoms in residue
+c           nxt   - atom which may bind to following residue
+c           nvrr  - number of variables in residue
+c           for atoms     - nmath,blath,baath(rad),toath(rad),
+c                           ityath,iyowath,iowath (INSIDE residue,
+c                                                  =0 if 1st atom)
+c           for variables - ityvrh (1=bl/2=ba/3=to),iclvrh,iatvrh,nmvrh
+c
+c LIBRARY:  residue-lines:
+c            '#', res, nat, nxt;  Format: a1,a4,2i4
+c           atom-lines:
+c           nmat,3{"fix" =' ', clvr,nmvr, blat/baat(deg)/toat(deg)},
+c             cgat, ityat, iowat,ibdat1,ibdat2,ibdat3;
+c           Format: a4, 3(1x,i2,a1,a3,f9.3), f7.4, i4,4i4
+c
+C CALLS: iendst,tolost
+c
+c .......................................................
 
       include 'INCL.H'
-!     arguments
-      integer nat, nxt, nvrr
-      
-!     functions
-      integer iendst
-      
-      integer icl, ibd, ib3, i, ib1, ib2, ic, iow, iexcp, ity, jow, lg
-      integer nln, j
+
       dimension icl(3),ibd(mxbd)
       character blnk,fix(3),nm(3)*3,res*4,resl*4,line*132
       data blnk/' '/
 
-      double precision ba, to
 
       nln=0
@@ -301,5 +285,5 @@
       call tolost(resl)  ! ensure lower case for residue name
 
-! ________________________________ find residue 'resl'
+c ________________________________ find residue 'resl'
     1 line=blnk
       nln=nln+1
@@ -309,9 +293,9 @@
 
       if (lg.ge.13.and.line(1:1).eq.'#'.and.line(2:5).eq.resl) then
-! _____________________________________________ read atom data for 'resl'
+c _____________________________________________ read atom data for 'resl'
         read (line(6:13),'(2i4)',err=3) nat,nxt
 
         if (nat.gt.mxath) then
-          write (logString, '(a,i5)') ' redres> number of atoms > ',mxath
+          write (*,'(a,i5)') ' redres> number of atoms > ',mxath
           close(lunlib)
           stop
@@ -324,7 +308,7 @@
 
           read (lunlib,'(a4,3(1x,i2,a1,a3,d9.3),d7.4,i4,4i4)',
-     &                 end=3,err=3)
-     &     nmath(i),icl(1),fix(1),nm(1),blath(i),icl(2),fix(2),nm(2),ba,
-     &     icl(3),fix(3),nm(3),to,cgath(i),ity,iow,(ibd(j),j=1,mxbd)
+     #                 end=3,err=3)
+     #     nmath(i),icl(1),fix(1),nm(1),blath(i),icl(2),fix(2),nm(2),ba,
+     #     icl(3),fix(3),nm(3),to,cgath(i),ity,iow,(ibd(j),j=1,mxbd)
 
           if (ity.le.0.or.ity.gt.mxtyat) goto 6
@@ -341,10 +325,9 @@
           if (iexcp.eq.0.and.i.le.jow) then
             if (i.eq.jow) then
-              write(logString,'(5a)') ' redres> atom ',nmath(i),' of ',
-     &                          resl,' cannot preceed itself '
+              write (*,'(5a)') ' redres> atom ',nmath(i),' of ',
+     #                          resl,' cannot preceed itself '
             else
-              write (logString, '(5a,i4)') 
-     &                    ' redres> atom ',nmath(i),' of ',
-     &                    resl,' should be placed AFTER atom #',jow
+              write (*,'(5a,i4)') ' redres> atom ',nmath(i),' of ',
+     #                    resl,' should be placed AFTER atom #',jow
             endif
             goto 5
@@ -353,6 +336,6 @@
           iowath(i)=jow
           iyowath(i)=sign(1,iow)
-! ____________________________________ check order & find number of bonds
-!                                      (bonds closing ring must be last !)
+c ____________________________________ check order & find number of bonds
+c                                      (bonds closing ring must be last !)
           ib1=abs(ibd(1))
           ib2=abs(ibd(2))
@@ -371,10 +354,10 @@
             else
               if ( ib2.eq.jow.or.ib2.eq.ib1.or.
-     &            (ib2.gt.i.and.ib2.lt.ib1) ) goto 4
+     #            (ib2.gt.i.and.ib2.lt.ib1) ) goto 4
               if (ib3.eq.0) then
                 nbdath(i)=2
               else
                 if (ib3.eq.jow.or.ib3.eq.ib1.or.ib3.eq.ib2.or.
-     &              (ib3.gt.i.and.(ib3.lt.ib1.or.ib3.lt.ib2)) ) goto 4
+     #              (ib3.gt.i.and.(ib3.lt.ib1.or.ib3.lt.ib2)) ) goto 4
                 nbdath(i)=3
               endif
@@ -390,5 +373,5 @@
           toath(i)=to*cdr
 
-! ______________________________ internal degrees of freedom
+c ______________________________ internal degrees of freedom
           do j=1,3
             if (fix(j).ne.blnk) then
@@ -396,7 +379,6 @@
 
               if (nvrr.gt.mxvrh) then
-                write (logString, '(a,i5)') 
-     &           ' redres> number of variables > ',
-     &                             mxvrh
+                write (*,'(a,i5)') ' redres> number of variables > ',
+     #                             mxvrh
                 close(lunlib)
                 stop
@@ -406,7 +388,7 @@
 
               if ( ic.le.0    
-     &         .or.(j.eq.3.and.ic.gt.mxtyto)           ! dihedral
-     &         .or.(j.eq.2.and.ic.gt.mxtyba)           ! bond angle
-     &         .or.(j.eq.1.and.ic.gt.mxtybl) ) goto 7  ! b. length
+     #         .or.(j.eq.3.and.ic.gt.mxtyto)           ! dihedral
+     #         .or.(j.eq.2.and.ic.gt.mxtyba)           ! bond angle
+     #         .or.(j.eq.1.and.ic.gt.mxtybl) ) goto 7  ! b. length
 
               ityvrh(nvrr)=j
@@ -425,33 +407,30 @@
       goto 1
 
-! ____________________________________________________________ ERRORS
-    2 write (logString, '(4a)') ' redres> residue >',resl,
-     &      '< NOT FOUND in ',
-     &reslib(1:iendst(reslib))
+c ____________________________________________________________ ERRORS
+    2 write (*,'(4a)') ' redres> residue >',resl,'< NOT FOUND in ',
+     #reslib(1:iendst(reslib))
       close(lunlib)
       stop
 
-    3 write (logString, '(a,i4,2a)') ' redres> ERROR reading line No. ',
-     &   nln,
-     &   ' in ',reslib(1:iendst(reslib))
+    3 write (*,'(a,i4,2a)') ' redres> ERROR reading line No. ',nln,
+     #' in ',reslib(1:iendst(reslib))
       close(lunlib)
       stop
 
-    4 write (logString, '(4a)') 
-     &   ' redres> Incorrect order of bonds for atom ',
-     &                      nmath(i),' of ',resl
-
-    5 write (logString, '(8x,2a)') '... must correct ',
-     &                      reslib(1:iendst(reslib))
+    4 write (*,'(4a)') ' redres> Incorrect order of bonds for atom ',
+     #                      nmath(i),' of ',resl
+
+    5 write (*,'(8x,2a)') '... must correct ',
+     #                      reslib(1:iendst(reslib))
       close(lunlib)
       stop
 
-    6 write (logString, '(a,i2,4a)') ' redres> unknown type :',ity,
-     &                   ': for atom ',nmath(i),' in residue ',resl
+    6 write (*,'(a,i2,4a)') ' redres> unknown type :',ity,
+     #                   ': for atom ',nmath(i),' in residue ',resl
       close(lunlib)
       stop
 
-    7 write (logString, '(a,i2,4a)') ' redres> unknown class :',ic,
-     &                   ': for variable ',nm(j),' in residue ',resl
+    7 write (*,'(a,i2,4a)') ' redres> unknown class :',ic,
+     #                   ': for variable ',nm(j),' in residue ',resl
       close(lunlib)
       stop
Index: gradient.f
===================================================================
--- gradient.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ gradient.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,28 +1,24 @@
-! **************************************************************
-!
-! This file contains the subroutines: gradient
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+C **************************************************************
+c
+c This file contains the subroutines: gradient
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
 
 
       subroutine gradient()
 
-! -------------------------------------------
-! PURPOSE: calculate energy & gradients
-!
-! CALLS:   opeflx,opereg,opeshe,opesol,setvar
-! -------------------------------------------
+c -------------------------------------------
+c PURPOSE: calculate energy & gradients
+c
+c CALLS:   opeflx,opereg,opeshe,opesol,setvar
+c -------------------------------------------
 
       include 'INCL.H'
 
-
-      double precision esm
-
-      integer i, ivr1, ivr2, j
 
       esm = 0.d0
@@ -57,5 +53,5 @@
         else
 
-          write (logString, *)  'gradient> Set itysol < 0'
+          write(*,*)  'gradient> Set itysol < 0'
           stop
         endif
Index: hbond.f
===================================================================
--- hbond.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ hbond.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,47 +1,37 @@
-!**************************************************************
-!
-! This file contains the subroutines: hbond,chhb,ishybd,
-!                                     ishybdo,nursat,interhbond
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c**************************************************************
+c
+c This file contains the subroutines: hbond,chhb,ishybd,
+c                                     ishybdo,nursat,interhbond
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
 
 
       subroutine hbond(nml,mhb,ipr)
-! .................................................................
-! PURPOSE: find hydrogen bonds in molecule 'nml'
-!
-!          prints HBonds, if ipr > 0
-!
-! OUTPUT: mhb - number of hyd.bds. of type i->i+4
-!  
-!   to INCL.H:
-!
-!         ntyhb  - number of different types of hyd. bds. found
-!         nutyhb - number of hyd.bds. found for each type
-!         ixtyhb - index for each type of hyd. bd. composed as
-!                  (atom idx. of H) * 1000 + atm.idx. of acceptor
-!
-! CALLS: chhb,ishybd  (ishybdo),nursat
-!
-!................................................................
-
-      include 'INCL.H'
-
-      integer nml
-
-      integer mhb
-
-      integer nursat
-      double precision atbase
-
-      integer ipr, i2s, i, i14, i1, i1s, i2, ia, ixhb, id, ifivr, ii, ih
-      integer ims, io, iv, ivw, ix, k, jj, j, n, na, nd, ntlvr, iat
-
-!f2py intent(out) mhb  
+c .................................................................
+c PURPOSE: find hydrogen bonds in molecule 'nml'
+c
+c          prints HBonds, if ipr > 0
+c
+c OUTPUT: mhb - number of hyd.bds. of type i->i+4
+c  
+c   to INCL.H:
+c
+c         ntyhb  - number of different types of hyd. bds. found
+c         nutyhb - number of hyd.bds. found for each type
+c         ixtyhb - index for each type of hyd. bd. composed as
+c                  (atom idx. of H) * 1000 + atm.idx. of acceptor
+c
+c CALLS: chhb,ishybd  (ishybdo),nursat
+C
+c................................................................
+
+      include 'INCL.H'
+
+cf2py intent(out) mhb  
       parameter (atbase=mxat)      
       logical ishb
@@ -59,33 +49,33 @@
         ntlvr=nvrml(nml)
         if (ntlvr.eq.0) then
-          write (logString, '(a,i4)')
-     &           ' hbond> No variables defined in molecule #',nml
+          write (*,'(a,i4)')
+     #           ' hbond> No variables defined in molecule #',nml
           return
         endif
 
         ifivr=ivrml1(nml)
-! Index of last moving set
+c Index of last moving set
         i1s=imsml1(nml)+nmsml(nml)
       endif 
-! Loop over all variables
+c Loop over all variables
       do io=ifivr+ntlvr-1,ifivr,-1  
-! Get index of variable
+c Get index of variable
         iv=iorvr(io)       
-! Index of next to last moving set
+c Index of next to last moving set
         i2s=i1s-1      
-! Index of moving set belonging to iv
+c Index of moving set belonging to iv
         i1s=imsvr1(iv) 
-! Loop over all moving sets between the one belonging to iv and the 
-! next to last one
+c Loop over all moving sets between the one belonging to iv and the 
+c next to last one
         do ims=i1s,i2s  
-! First atom in moving set
+c First atom in moving set
           i1=latms1(ims)
-! Last atom in moving set
+c Last atom in moving set
           i2=latms2(ims)
-! Loop over all atoms in moving set.
+c Loop over all atoms in moving set.
           do i=i1,i2  
-! Loop over van der Waals domains of atom i
+c Loop over van der Waals domains of atom i
             do ivw=ivwat1(i),ivwat2(i)
-! Loop over atoms in van der Waals domain.  
+c Loop over atoms in van der Waals domain.  
               do j=lvwat1(ivw),lvwat2(ivw)  
 
@@ -108,6 +98,5 @@
                     ixtyhb(ntyhb)=ixhb
                   else
-                    write (logString, *) 
-     &                    ' hbond> increase parameter MXTYHB'
+                    write(*,*) ' hbond> increase parameter MXTYHB'
                     stop
                   endif
@@ -122,5 +111,5 @@
 
               call ishybd(i,j,ishb,ih,ia)   ! Thornton criteria
-!              call ishybdo(i,j,ishb,ih,ia)  
+c              call ishybdo(i,j,ishb,ih,ia)  
 
               if (ishb) then
@@ -140,6 +129,5 @@
                   ixtyhb(ntyhb)=ixhb
                 else
-                  write (logString, *) 
-     &               ' hbond> increase parameter MXTYHB'
+                  write(*,*) ' hbond> increase parameter MXTYHB'
                   stop
                 endif
@@ -156,10 +144,9 @@
       mhb=0
 
-!     do inhb=1,ntyhb
-!      mhb = mhb+nutyhb(inhb)
-!     enddo
-
-      if (ipr.gt.0) write (logString, '(1x,a,/)') 
-     &   ' hbond>  Hydrogen Bonds:'
+c     do inhb=1,ntyhb
+c      mhb = mhb+nutyhb(inhb)
+c     enddo
+
+      if (ipr.gt.0) write(*,'(1x,a,/)') ' hbond>  Hydrogen Bonds:'
 
       if (ntyhb.gt.0) then
@@ -186,12 +173,12 @@
               if (n.gt.0) then
                 write(*,'(1x,i3,a2,a4,a3,i3,1x,a4,a7,a4,a3,i3,1x,a4,a9,
-     &                    i2)')
-     &           ii,') ',nmat(ia),' ( ',na,seq(na),' ) <-- ',nmat(id),
-     &           ' ( ', nd,seq(nd),' ) = i +',n
+     #                    i2)')
+     #           ii,') ',nmat(ia),' ( ',na,seq(na),' ) <-- ',nmat(id),
+     #           ' ( ', nd,seq(nd),' ) = i +',n
               else
                 write(*,'(1x,i3,a2,a4,a3,i3,1x,a4,a7,a4,a3,i3,1x,a4,a9,
-     &                    i2)')
-     &           ii,') ',nmat(ia),' ( ',na,seq(na),' ) <-- ',nmat(id),
-     &           ' ( ', nd,seq(nd),' ) = i -',abs(n)
+     #                    i2)')
+     #           ii,') ',nmat(ia),' ( ',na,seq(na),' ) <-- ',nmat(id),
+     #           ' ( ', nd,seq(nd),' ) = i -',abs(n)
               endif
 
@@ -205,27 +192,23 @@
       return
       end
-! .....................................................................
-! Calculates hydrogen bonds between different chains.
-! 
-! @return number of intermolecular hydrogen bonds. Returns 0 if only 
-!         one molecule is present. The value is returned in the 
-!         variable mhb.
-!
-! @author Jan H. Meinke <j.meinke@fz-juelich.de>
-!                                            
-! .....................................................................
+c .....................................................................
+c Calculates hydrogen bonds between different chains.
+c 
+c @return number of intermolecular hydrogen bonds. Returns 0 if only 
+c         one molecule is present. The value is returned in the 
+c         variable mhb.
+c
+c @author Jan H. Meinke <j.meinke@fz-juelich.de>
+c                                            
+c .....................................................................
       subroutine interhbond(mhb)
 
       include 'INCL.H'
       
-!f2py intent(out) mhb     
+cf2py intent(out) mhb     
       
       logical ishb
       
       integer*4 mhb
-      integer iml, ires, jml, jat, jres
-
-      integer ia, iat, ih
-      
       mhb = 0
       do iml = 1, ntlml
@@ -250,20 +233,9 @@
       
       end ! subroutine interhbond
-! ************************
+c ************************
       subroutine chhb(i,j)
 
       include 'INCL.H'
-      integer i
-
-      integer j
-
-      integer ih
-
-      integer ia, ib, id, ihb
-      
-      double precision valang
-      
-      double precision cdah, cdad, adab, adha, ahab, dah, dad
-            
+
       ihb = ihbty(ityat(i),ityat(j))
 
@@ -277,10 +249,10 @@
 
       dah=sqrt((xat(ih)-xat(ia))**2+(yat(ih)-yat(ia))**2+
-     &          (zat(ih)-zat(ia))**2)
+     #          (zat(ih)-zat(ia))**2)
 
       id=iowat(ih)
 
       dad=sqrt((xat(id)-xat(ia))**2+(yat(id)-yat(ia))**2+
-     &          (zat(id)-zat(ia))**2)
+     #          (zat(id)-zat(ia))**2)
       adha=valang(id,ih,ia)*crd
 
@@ -290,48 +262,38 @@
       adab=valang(id,ia,ib)*crd
 
-      write (logString, *) '  '
-      write (logString, *) ' Dah: ',dah,' Dad: ',dad
-      write (logString, *) ' Adha: ',adha,' Ahab: ',adha,' Adab: ',adab
-      write (logString, *) '  '
+      write(*,*) '  '
+      write(*,*) ' Dah: ',dah,' Dad: ',dad
+      write(*,*) ' Adha: ',adha,' Ahab: ',adha,' Adab: ',adab
+      write(*,*) '  '
 
       return
       end
-! *************************************
+c *************************************
       subroutine ishybd(i,j,ishb,ih,ia)
       
 
-! ..........................................................
-!  PURPOSE: checks for hydrogen bond between atoms 'i' & 'j'
-!           according to geometric criteria
-! 
-!  OUTPUT:  logical 'ishb' - true, if have Hydrogen bond
-!           ih - index of Hydrogen atom
-!           ia - index of Acceptor atom
-!
-!  [I.K.McDonald,J.M.Thornton,Satisfying hydrogen bond
-!   potential in proteins.J.Mol.Biol.238(5),777-793 (1994)]
-!
-!  D: hydrogen(=H) donor, A: acceptor, B: atom bound to A
-!
-!  Dis_HA <= 2.5 & Dis_DA <= 3.9 & Angle(D-H-A) > 90 &
-!  Angle(H-A-B) > 90 & Angle(D-A-B) > 90
-! ..........................................................
-
-      include 'INCL.H'
-      double precision cdah, cang, cahb, cdad
-      integer i
-
-      integer j
-
-      integer ih
-
-      integer ia, ib, id, ihb
- 
-      double precision valang
- 
+c ..........................................................
+c  PURPOSE: checks for hydrogen bond between atoms 'i' & 'j'
+c           according to geometric criteria
+c 
+c  OUTPUT:  logical 'ishb' - true, if have Hydrogen bond
+c           ih - index of Hydrogen atom
+c           ia - index of Acceptor atom
+c
+c  [I.K.McDonald,J.M.Thornton,Satisfying hydrogen bond
+c   potential in proteins.J.Mol.Biol.238(5),777-793 (1994)]
+c
+c  D: hydrogen(=H) donor, A: acceptor, B: atom bound to A
+c
+c  Dis_HA <= 2.5 & Dis_DA <= 3.9 & Angle(D-H-A) > 90 &
+c  Angle(H-A-B) > 90 & Angle(D-A-B) > 90
+c ..........................................................
+
+      include 'INCL.H'
+
       parameter (cdad=3.9d0,
-     &           cdah=2.5d0,
-     &           cang=110.d0)
-!     #           cang=90.d0)
+     #           cdah=2.5d0,
+     #           cang=110.d0)
+c     #           cang=90.d0)
 
       logical ishb
@@ -356,48 +318,40 @@
 
       if (sqrt((xat(ih)-xat(ia))**2+(yat(ih)-yat(ia))**2+
-     &         (zat(ih)-zat(ia))**2).gt.cdah) return
+     #         (zat(ih)-zat(ia))**2).gt.cdah) return
 
       id=iowat(ih)
 
       if (id.le.0.or.sqrt((xat(id)-xat(ia))**2+(yat(id)-yat(ia))**2+
-     &                    (zat(id)-zat(ia))**2).gt.cdad
-     &           .or.valang(id,ih,ia).lt.cahb) return
+     #                    (zat(id)-zat(ia))**2).gt.cdad
+     #           .or.valang(id,ih,ia).lt.cahb) return
 
       ib=iowat(ia)
 
       if (ib.gt.0.and.valang(ih,ia,ib).ge.cahb
-     &           .and.valang(id,ia,ib).ge.cahb) ishb=.true.
+     #           .and.valang(id,ia,ib).ge.cahb) ishb=.true.
 
       return
       end
-! **************************************
+c **************************************
 
       subroutine ishybdo(i,j,ishb,ih,ia)
 
-! ..........................................................
-!  PURPOSE: checks for hydrogen bond between atoms 'i' & 'j'
-!           according to geometric criteria
-! 
-!  OUTPUT:  logical 'ishb' - true, if have Hydrogen bond
-!           ih - index of Hydrogen atom
-!           ia - index of Acceptor atom
-!
-!  D: hydrogen(=H) donor, A: acceptor
-!
-!    Dis_AH <= 2.5 & Angle(D-H-A) >= 160
-! ...........................................................
-
-      include 'INCL.H'
-      integer i
-
-      integer j
-
-      integer ih
-
-      double precision cahb, cdah, cang, valang
-
-      integer ia, ihb, id
+c ..........................................................
+c  PURPOSE: checks for hydrogen bond between atoms 'i' & 'j'
+c           according to geometric criteria
+c 
+c  OUTPUT:  logical 'ishb' - true, if have Hydrogen bond
+c           ih - index of Hydrogen atom
+c           ia - index of Acceptor atom
+c
+c  D: hydrogen(=H) donor, A: acceptor
+c
+c    Dis_AH <= 2.5 & Angle(D-H-A) >= 160
+c ...........................................................
+
+      include 'INCL.H'
+
       parameter (cdah=2.5d0,
-     &           cang=140.d0)
+     #           cang=140.d0)
 
       logical ishb
@@ -423,5 +377,5 @@
 
       if (sqrt((xat(ih)-xat(ia))**2+(yat(ih)-yat(ia))**2+
-     &         (zat(ih)-zat(ia))**2).gt.cdah) return
+     #         (zat(ih)-zat(ia))**2).gt.cdah) return
 
       id=iowat(ih)
